Bug 322994 - "Open last closed tab" doesn't restore tab history
Summary: "Open last closed tab" doesn't restore tab history
Status: RESOLVED FIXED
Alias: None
Product: rekonq
Classification: Unclassified
Component: general (show other bugs)
Version: 2.3.2
Platform: Kubuntu Packages Linux
: NOR wishlist with 1 vote (vote)
Target Milestone: ---
Assignee: Andrea Diamantini
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-30 11:41 UTC by Bernd Oliver Sünderhauf
Modified: 2013-07-31 15:36 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernd Oliver Sünderhauf 2013-07-30 11:41:32 UTC
"Open last closed tab" doesn't restore tab history.

See first wish on:
http://adjamblog.wordpress.com/2013/06/30/rekonq-2-3-2-fixing-the-fixes/comment-page-1/#comment-3353

Reproducible: Always



Expected Results:  
When restoring a tab, the tab's history should be recovered as well, so I can go back and forward, as is supported by other browsers.
Comment 1 Bernd Oliver Sünderhauf 2013-07-30 14:07:07 UTC
Seems like this is a regression as it was supposed to be implemented in v 0.8, see Bug 229840.
Can somebody confirm that this has ever worked?
Comment 2 Andrea Diamantini 2013-07-31 15:36:59 UTC
Git commit aad9aad70388c0b7e267ec340ffe963e742af69c by Andrea Diamantini.
Committed on 31/07/2013 at 15:37.
Pushed by adjam into branch 'master'.

Restore history tab. Fix regression.

M  +6    -2    src/tabwindow/tabwidget.cpp

http://commits.kde.org/rekonq/aad9aad70388c0b7e267ec340ffe963e742af69c